> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Publish



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspaceId}/catalog-families/{familyId}/publish-to-projects
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/catalog-families/{familyId}/publish-to-projects:
    post:
      tags:
        - Catalog Family Publish
      summary: Publish
      operationId: CatalogFamilyPublishController_publish_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: familyId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PublishToProjectsDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublishToProjectsResponseDto'
components:
  schemas:
    PublishToProjectsDto:
      type: object
      properties:
        projectIds:
          anyOf:
            - type: string
              const: all
            - minItems: 1
              maxItems: 100
              type: array
              items:
                type: string
                minLength: 1
        version:
          type: integer
          minimum: 1
          maximum: 9007199254740991
        catalogEventIds:
          minItems: 1
          type: array
          items:
            type: string
            pattern: ^[1-9]\d*$
        mode:
          default: apply
          type: string
          const: apply
      required:
        - projectIds
        - version
      additionalProperties: false
    PublishToProjectsResponseDto:
      type: object
      properties:
        mode:
          type: string
        pulled:
          type: array
          items:
            $ref: '#/components/schemas/PublishOutcomePulledDto'
        skipped:
          type: array
          items:
            $ref: '#/components/schemas/PublishOutcomeSkippedDto'
        failed:
          type: array
          items:
            $ref: '#/components/schemas/PublishOutcomeFailedDto'
      required:
        - mode
        - pulled
        - skipped
        - failed
    PublishOutcomePulledDto:
      type: object
      properties:
        projectItemId:
          type: string
        projectId:
          type: string
      required:
        - projectItemId
        - projectId
    PublishOutcomeSkippedDto:
      type: object
      properties:
        projectItemId:
          type: string
        projectId:
          type: string
        reason:
          type: string
          enum:
            - locally_protected
            - divergent
            - in_sync
      required:
        - projectItemId
        - projectId
        - reason
    PublishOutcomeFailedDto:
      type: object
      properties:
        projectItemId:
          type: string
        projectId:
          type: string
        code:
          type: string
      required:
        - projectItemId
        - projectId
        - code

````